/*
 * synVidlink.H
 *
 * script Synthesis Header
 *
 */

#ifndef __synVidlink_H
#define __synVidlink_H

#include "synbase.h"
#include "wlah.h"
#include "wlmsg.h"

class synVidlink : public synBaseAuth {   // generic file output
public:
     synVidlink(
     acthSession* _ses,
     bool anonok,
     INT lvlcnt=1) : synBaseAuth(_ses,anonok,AgentKey,lvlcnt)
     {
     }

     ~synVidlink()
     {
     }

protected:
     ACTHCODE
     proceedRequest();                  // setup request context

     ACTHCODE
     proceedSynth();                    // synthesise the response

     ACTHCODE
     proceedDerivedResponse();          // output the response

     INT
     translateError();                  // translate err to mcv file op

private:
     CHAR uid[30];
};

#endif // __synVidlink_H
